import BasePagination from '@/components/BasePagination'
import TableTemplate from '@/framework/template/TablePageTemplate'
//tools
import basicutils from '@/utils/basicutils'

export default {
  install: function(Vue) {
    Vue.prototype.initPagination = function() {
      return {
        pageSize: 10,
        pageSizes: [10, 20, 50, 100, 200, 500],
        layout: 'total, sizes, prev, pager, next, jumper',
        total: 0,
        currentPage: 1,
        data: [],
        params: {}
      }
    }
    Vue.component('base-pagination', BasePagination)
    Vue.component('table-page-template', TableTemplate)

    Vue.prototype.formatDate = function(date) {
      return basicutils.formatDateByPattern(date, 'yyyy-MM-dd HH:mm:ss')
    }

    Vue.prototype.hasPermission = function(promise) {
      return basicutils.hasPermission(promise)
    }

    Vue.filter('formatDateForMillisecond', function(value) {
      if (!value) return ''
      return basicutils.formatDateByPattern(new Date(value), 'yyyy-MM-dd')
    })

    Vue.filter('formatDateTimeForMillisecond', function(value) {
      if (!value) return ''
      return basicutils.formatDateByPattern(new Date(value), 'yyyy-MM-dd HH:mm:ss')
    })
  }
}
